Mutes the colors of the image

- « Imagick::blackThresholdImage

- Imagick::blurImage »

- PHP Manual
- Imagick
- Mutes the colors of the image

# Imagick::blueShiftImage

(PECL imagick 3 >= 3.3.0)

Imagick::blueShiftImage — Mutes the colors of the image

### Description

public Imagick::blueShiftImage(float `$factor` = 1.5): bool

Mutes the colors of the image to simulate a scene at nighttime in the moonlight.

### Parameters

`factor`

### Return Values

Returns `true` on success.

### Examples

Example #1 Imagick::blueShiftImage()

    <?phpfunction blueShiftImage($imagePath, $blueShift) {    $imagick = new \Imagick(realpath($imagePath));    $imagick->blueShiftImage($blueShift);    header("Content-Type: image/jpg");    echo $imagick->getImageBlob();}?>